org.apache.fop.fonts

## Class CMapSegment

- java.lang.Object
- - org.apache.fop.fonts.CMapSegment

-     public final class CMapSegment
      extends Object

  A segment in a cmap table of format 4. Unicode code points between `getUnicodeStart()` and `getUnicodeEnd()` map to contiguous glyph indices starting from `getGlyphStartIndex()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMapSegment(int unicodeStart, int unicodeEnd, int glyphStartIndex)` Creates a new segment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getGlyphStartIndex()` Returns the glyphStartIndex.
    `int` | `getUnicodeEnd()` Returns the unicodeEnd.
    `int` | `getUnicodeStart()` Returns the unicodeStart.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CMapSegment

          public CMapSegment(int unicodeStart,
                             int unicodeEnd,
                             int glyphStartIndex)

      Creates a new segment.
      Parameters:
        `unicodeStart` - Unicode start index
        `unicodeEnd` - Unicode end index
        `glyphStartIndex` - glyph start index

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getUnicodeStart

          public int getUnicodeStart()

      Returns the unicodeStart.
      Returns:
        the Unicode start index

    - #### getUnicodeEnd

          public int getUnicodeEnd()

      Returns the unicodeEnd.
      Returns:
        the Unicode end index

    - #### getGlyphStartIndex

          public int getGlyphStartIndex()

      Returns the glyphStartIndex.
      Returns:
        the glyph start index

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2023 Apache Software Foundation. All rights reserved.